//+------------------------------------------------------------------+
//|                                     levin support resistance.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 7
#property indicator_color1 Red
#property indicator_color2 Red
#property indicator_color3 Orange
#property indicator_color4 Orange
#property indicator_color5 Yellow
#property indicator_color6 Yellow
#property indicator_color7 Red
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];
double ExtMapBuffer6[];
double ExtMapBuffer7[];

extern int day = 0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,ExtMapBuffer4);
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,ExtMapBuffer5);
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,ExtMapBuffer6);
   SetIndexStyle(6,DRAW_ARROW);
   SetIndexArrow(6,220);
   SetIndexBuffer(6,ExtMapBuffer7);
   SetIndexEmptyValue(6,0.0);
   
   start();
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   
   double high = iHigh(Symbol(),PERIOD_D1,day + 1);
   double low = iLow(Symbol(),PERIOD_D1,day + 1);
   double close = iClose(Symbol(),PERIOD_D1,day + 1);
   double pivot = (high + low + close) / 3;
   
   for(int i = 0; i < counted_bars; i++)
   {
      ExtMapBuffer1[i] = pivot + (pivot - low);
      ExtMapBuffer2[i] = pivot - (high - pivot);
      ExtMapBuffer3[i] = pivot + 2 * (pivot - low);
      ExtMapBuffer4[i] = pivot - 2 * (high - pivot);
      ExtMapBuffer5[i] = high + 2 * (pivot - low);
      ExtMapBuffer6[i] = low - 2 * (high - pivot);
      
      if(iTime(Symbol(),0,i) == iTime(Symbol(),PERIOD_D1,day))
      {
         Print(StringConcatenate("Pivot Placed At: ",pivot));
         Print(StringConcatenate("Bar: ",i));
         ExtMapBuffer7[i] = pivot;
      }
      else
      {
         ExtMapBuffer7[i] = 0;
      }
   }
   
   
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+